Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.placeholder
Interface PlaceholderService

public interface PlaceholderService
extends javax.ejb.EJBObject

The remote bean interface for the PlaceholderService.

A placeholder is a named location in some page and is represented by the PlaceholderTag. The primary function of the placeholder service is to return content to the PlaceholderTag when it is viewed. This content is based upon the type of the placeholder, and user information.

Method Summary
`java.lang.String` | `getContent(java.lang.String name, java.lang.String userId, java.lang.String servletBase, Request request, int height, int width)` Return the content for the requested placeholder.
`java.util.Collection` | `getDeployedPlaceholderURIs()` Get the list of placeholder uris currently deployed in this service.
`java.lang.String` | `getPreviewSlot(long previewId)` Get a preview slot's XML query.
`java.lang.String` | `getPreviewSlotQuery(long previewId, java.lang.String userId)` Get a preview slot's XML query as a content query, with any property references filled out.
`java.util.Collection` | `previewContent(long previewId, java.lang.String userId, java.lang.String servletBase, java.lang.String phType)` Deprecated. No longer used.
`java.util.Collection` | `previewContent(java.lang.String query, java.lang.String servletBase, java.lang.String phType, boolean renderContent)` Return a collection of PreviewInfo structures which match all of the content for the query.
`void` | `removePreviewSlot(long previewId)` Remove a preview slot
`long` | `setPreviewSlot(java.lang.String xmlQuery)` Create a preview slot.

Methods inherited from interface javax.ejb.EJBObject
`getEJBHome, getHandle, getPrimaryKey, isIdentical, remove`

Method Detail

### getContent

    public java.lang.String getContent(java.lang.String name,
                                       java.lang.String userId,
                                       java.lang.String servletBase,
                                       Request request,
                                       int height,
                                       int width)
                                throws java.rmi.RemoteException,
                                       ContentException

  Return the content for the requested placeholder.

  Parameters:
    `name` - The name of the placeholder
    `userId` - The user id
    `servletBase` - A URL base that is used to find the ClickThru and ShowDocServlet
    `request` - The http request
    `height` - The requested height of the content
    `width` - The requested width of the content
  Returns:
    an XML String representing the content.
  Throws:
    ContentException - thrown when there is a failure to obtain the content

### previewContent

    public java.util.Collection previewContent(java.lang.String query,
                                               java.lang.String servletBase,
                                               java.lang.String phType,
                                               boolean renderContent)
                                        throws java.rmi.RemoteException,
                                               ContentException

  Return a collection of PreviewInfo structures which match all of the content for the query.

  Parameters:
    `query` - the content query to preview
    `servletBase` - the base URI of the webapp to preview in
    `phType` - the placeholder type (Ad, ContentSelector)
    `renderContent` - true to include the rendering content in the preview, false to not.

### previewContent

    public java.util.Collection previewContent(long previewId,
                                               java.lang.String userId,
                                               java.lang.String servletBase,
                                               java.lang.String phType)
                                        throws java.rmi.RemoteException,
                                               ContentException

  Deprecated. No longer used.
  Return a collection of PreviewInfo structures which match all of the content for the query.

  Parameters:
    `previewId` - the id of the preview slot containing the query
    `userId` - the id of the user to preview as
    `servletBase` - the base URI of the webapp to preview in
    `phType` - the placeholder type (Ad, ContentSelector)
  See Also:
    `getPreviewSlot(long)`, `ContentQuery`, `PropertyProviderImpl`

### getPreviewSlot

    public java.lang.String getPreviewSlot(long previewId)
                                    throws java.rmi.RemoteException,
                                           ContentException

  Get a preview slot's XML query.

### getPreviewSlotQuery

    public java.lang.String getPreviewSlotQuery(long previewId,
                                                java.lang.String userId)
                                         throws java.rmi.RemoteException,
                                                ContentException,
                                                ProfileNotFoundException,
                                                java.lang.IllegalArgumentException

  Get a preview slot's XML query as a content query, with any property references filled out.

  Returns:
    the content query on success, null on invalid information.

### setPreviewSlot

    public long setPreviewSlot(java.lang.String xmlQuery)
                        throws java.rmi.RemoteException,
                               ContentException

  Create a preview slot.

### removePreviewSlot

    public void removePreviewSlot(long previewId)
                           throws java.rmi.RemoteException,
                                  ContentException

  Remove a preview slot

### getDeployedPlaceholderURIs

    public java.util.Collection getDeployedPlaceholderURIs()
                                                    throws java.rmi.RemoteException,
                                                           ContentException

  Get the list of placeholder uris currently deployed in this service.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved